## org.eclipse.emf.ecore.util
Class DelegatingFeatureMap.ValueListIteratorImpl<E>

    java.lang.Object
      org.eclipse.emf.common.util.DelegatingEList.EIterator<E1>
          org.eclipse.emf.common.util.DelegatingEList.EListIterator<E>
              org.eclipse.emf.ecore.util.DelegatingFeatureMap.ValueListIteratorImpl<E>

All Implemented Interfaces:
  java.util.Iterator<E>, java.util.ListIterator<E>, EContentsEList.FeatureIterator<E>, EContentsEList.FeatureListIterator<E>, FeatureMap.ValueListIterator<E>

Enclosing class:
  DelegatingFeatureMap

    protected class DelegatingFeatureMap.ValueListIteratorImpl<E>

extends DelegatingEList.EListIterator<E>
implements FeatureMap.ValueListIterator<E>

Field Summary

Fields inherited from class org.eclipse.emf.common.util.DelegatingEList.EIterator
`cursor, expectedModCount, lastCursor`

Constructor Summary
`DelegatingFeatureMap.ValueListIteratorImpl()`
`DelegatingFeatureMap.ValueListIteratorImpl(int index)`

Method Summary
`void` `add(E value)` Adds the object at the `next` index and advances the iterator past it.
`void` `add(EStructuralFeature eStructuralFeature, java.lang.Object value)`
`EStructuralFeature` `feature()`
`E` `next()` Returns the next object and advances the iterator.
`E` `previous()` Returns the previous object and advances the iterator.

Methods inherited from class org.eclipse.emf.common.util.DelegatingEList.EListIterator
`doAdd, doPrevious, doSet, hasPrevious, nextIndex, previousIndex, set`

Methods inherited from class org.eclipse.emf.common.util.DelegatingEList.EIterator
`checkModCount, doNext, hasNext, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.ListIterator
`hasNext, hasPrevious, nextIndex, previousIndex, remove, set`

Constructor Detail

### DelegatingFeatureMap.ValueListIteratorImpl

    public DelegatingFeatureMap.ValueListIteratorImpl()

### DelegatingFeatureMap.ValueListIteratorImpl

    public DelegatingFeatureMap.ValueListIteratorImpl(int index)

Method Detail

### feature

    public EStructuralFeature feature()

  Specified by:
    `feature` in interface `EContentsEList.FeatureIterator<E>`

### next

    public E next()

  Description copied from class: `DelegatingEList.EIterator`
  Returns the next object and advances the iterator. This implementation delegates to `doNext`.

  Specified by:
    `next` in interface `java.util.Iterator<E>`
  Specified by:
    `next` in interface `java.util.ListIterator<E>`
  Overrides:
    `next` in class `DelegatingEList.EIterator<E>`
  Returns:
    the next object.

### previous

    public E previous()

  Description copied from class: `DelegatingEList.EListIterator`
  Returns the previous object and advances the iterator. This implementation delegates to `doPrevious`.

  Specified by:
    `previous` in interface `java.util.ListIterator<E>`
  Overrides:
    `previous` in class `DelegatingEList.EListIterator<E>`
  Returns:
    the previous object.

### add

    public void add(E value)

  Description copied from class: `DelegatingEList.EListIterator`
  Adds the object at the `next` index and advances the iterator past it. This implementation delegates to `doAdd`.

  Specified by:
    `add` in interface `java.util.ListIterator<E>`
  Overrides:
    `add` in class `DelegatingEList.EListIterator<E>`
  Parameters:
    `value` - the object to add.

### add

    public void add(EStructuralFeature eStructuralFeature,
                    java.lang.Object value)

  Specified by:
    `add` in interface `FeatureMap.ValueListIterator<E>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.